using DialogueSystem;
using UnityEngine;
using UnityEngine.SceneManagement;

public class OpenSceneWhenClicked : MonoBehaviour
{
    public string levelSelectionSceneName = "LevelSelection";

    void OnMouseDown()
    {
        if (!UIManagerIntro.Instance.GetIsPaused() && !DialogueManager.Instance.noteIsOpen)
        {
            SceneManager.LoadScene(levelSelectionSceneName);
        }
    }
}
